Skip to content

list

POST
/public/logs/list

List logs by category with filters, pagination and sorting.

object
category
required

The log category to list.

string
Allowed values: envelope team user
workspaceUuid

Filter by workspace UUID (envelope category only).

string
>= 36 characters <= 36 characters
envelopeUuid

Filter by envelope UUID (envelope category only).

string
>= 36 characters <= 36 characters
eventTypes

Filter by event types. For envelope category use envelope event types; for team category use team event types. When empty or omitted, all event types are returned.

Array
page

The page number (1-indexed). Defaults to 1.

integer
default: 1 >= 1 <= 9007199254740991
limit

The number of results per page. Defaults to 50, maximum is 50.

integer
default: 50 >= 1 <= 50
sortBy

The field to sort by. Defaults to ‘timestamp’.

string
default: timestamp
Allowed values: timestamp id
sortOrder

The sort order. Defaults to ‘desc’.

string
default: desc
Allowed values: asc desc

Default Response

object
logs
required
Array<object>
object
category
required

The log category.

string
Allowed values: envelope team user
eventType
required

The type of event.

string
eventData
required

Event-specific data.

object
key
additional properties
timestamp
required

The timestamp of when this event occurred (unix timestamp).

number
author
required
object
id
required

The author ID (0 for System user).

number
email
required

The author email address.

string
name
required

The author display name.

string
envelopeUuid

The envelope UUID (envelope category only).

string
workspaceUuid

The workspace UUID (envelope category only).

string
pagination
required
object
totalRecords
required

The total number of items matching the filters.

integer
<= 9007199254740991
currentPage
required

The page number that was requested (1-indexed).

integer
>= 1 <= 9007199254740991
totalPages
required

The total number of pages. Equals ceil(totalRecords / limit), or 1 when totalRecords is 0.

integer
>= 1 <= 9007199254740991
nextPage
required
Any of:
integer
>= 1 <= 9007199254740991
prevPage
required
Any of:
integer
>= 1 <= 9007199254740991

Default Response

object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: WORKSPACE_NOT_FOUND ENVELOPE_NOT_FOUND LOG_CATEGORY_NOT_IMPLEMENTED INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string

Default Response

object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: AUTHENTICATION_ERROR TUNNEL_ERROR TUNNEL_SESSION_NOT_FOUND INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string

Default Response

object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: AUTHORIZATION_ERROR FEATURE_NOT_IN_CURRENT_PLAN INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string

Default Response

object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: INTERNAL_SERVER_ERROR INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string